Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>
default:0

Page number for pagination (default is 0).

size
integer<int32>
default:10

Number of items per page for pagination (default is 10).

accountTag
enum<string>

This can either be static virtual accounts, or main-account.

Available options:
sub-account,
main-account
currency
enum<string>

Choose the currency you want for your static virtual account. According, to our currently supported currencies, this is in NGN or GHS.

Available options:
NGN,
GHS
mode
enum<string>

This can either be test or live mode.

Available options:
test,
live
accountNumber
string

This filters by the account number created for the static virtual accounts.

from
string<date-time>
Example:

"2025-02-28"

to
string<date-time>
Example:

"2025-03-03"

Response

A JSON array of static virtual accounts objects.

id
string<uuid>
required
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

balanceId
string
required
Example:

"bln_52448a75-248e-4277-932f-5af5c325d372"

accountName
string
required
Example:

"Main GHS Account"

accountNumber
string
required
Example:

"7706438396"

parentAccountId
string<uuid>
required
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

currency
string
required
Example:

"GHS"

mode
enum<string>
required
Available options:
live,
test
Example:

"live"

status
string
required
Example:

"active"

createdAt
string<date-time>
required
Example:

"2025-07-22T11:25:28.792959Z"

accountTag
string
Example:

"main-account"

updatedAt
string<date-time>
Example:

"2025-08-07T11:56:49.337647Z"

accountDetails
object